Package io.flutter.embedding.engine.systemchannels

## Class KeyboardChannel

- java.lang.Object
- - io.flutter.embedding.engine.systemchannels.KeyboardChannel

-     public class KeyboardChannel
      extends Object

  Event message channel for keyboard events to/from the Flutter framework.

  Receives asynchronous messages from the framework to query the engine known pressed state.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `KeyboardChannel.KeyboardMethodHandler` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `MethodChannel` | `channel` |
    `MethodChannel.MethodCallHandler` | `parsingMethodHandler` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KeyboardChannel​(BinaryMessenger messenger)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setKeyboardMethodHandler​(KeyboardChannel.KeyboardMethodHandler keyboardMethodHandler)` | Sets the `KeyboardChannel.KeyboardMethodHandler` which receives all requests to query the keyboard state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### channel

          public final MethodChannel channel

    - #### parsingMethodHandler

          @NonNull
          public final MethodChannel.MethodCallHandler parsingMethodHandler

  - ### Constructor Detail

    - #### KeyboardChannel

          public KeyboardChannel​(@NonNull
                                 BinaryMessenger messenger)

  - ### Method Detail

    - #### setKeyboardMethodHandler

          public void setKeyboardMethodHandler​(@Nullable
                                               KeyboardChannel.KeyboardMethodHandler keyboardMethodHandler)

      Sets the `KeyboardChannel.KeyboardMethodHandler` which receives all requests to query the keyboard state.